lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "doraBox/version"

Gem::Specification.new do |spec|
  spec.name          = "dora"
  spec.version       = DoraBox::VERSION
  spec.authors       = ["shier"]
  spec.email         = ["wangjun@tuya.com"]

  spec.summary       = %q{脚本化模块开发中 git-flow 操作的命令行 cli}
  spec.description   = %q{涉及到 podfile 依赖修改，执行 pod install，创建分支提交代码等}
  spec.homepage      = "https://docs.tuya.com/cn/"
  spec.license       = "MIT"

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'thor', '~> 0.20.3'
  spec.add_runtime_dependency 'colorize', '~> 0.8.1'


  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
